import Foundation
import App

abbrev = 'Ferrus'
iconName = 'Ferrus'
longName = 'USS Ferrus'
shipFile = 'Ferrus' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Ferrus = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

Foundation.ShipDef.Ferrus.fMaxWarp = 9.98
Foundation.ShipDef.Ferrus.fCruiseWarp = 8.0
Foundation.ShipDef.Ferrus.desc = "The Ferrus is a relatively small and fast starship designed to provide fire support battle. They were created to counter battle cruisers and other large, slow and heavily armed ships by using their high speed and maneuverability to get close enough to launch their torpedoes at enemy ships.  With next to no armor, the Sabre IIs relied upon their agility at high speed to avoid being hit by phasers and torpedoes from larger ships.   They are also used by Starfleet to police Federation space and the interdiction and boarding of potentially armed hostile smugglers and pirates."

if menuGroup:           Foundation.ShipDef.Ferrus.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Ferrus.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

